package com.ruoyi.system.service.video.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.system.domain.video.VideoDeviceInfo;
import com.ruoyi.system.mapper.video.VideoDeviceInfoMapper;
import com.ruoyi.system.service.video.VideoDeviceInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * <p>
 * 监控设备表 服务实现类
 * </p>
 *
 * @author lb
 * @since 2024-07-31
 */
@Service
public class VideoDeviceInfoServiceImpl extends ServiceImpl<VideoDeviceInfoMapper, VideoDeviceInfo> implements VideoDeviceInfoService {

        @Autowired
        private VideoDeviceInfoMapper videoDeviceInfoMapper;

        public List<VideoDeviceInfo> selectVideoDeviceInfoList(VideoDeviceInfo videoDeviceInfo)
        {
            return videoDeviceInfoMapper.selectVideoDeviceInfoList(videoDeviceInfo);
        };

        @Override
        public VideoDeviceInfo selectVideoDeviceInfoById(Long id)
        {
            return videoDeviceInfoMapper.selectVideoDeviceInfoById(id);
        };

        @Override
        public int InsertVideoDeviceInfo(VideoDeviceInfo  videoDeviceInfo)
        {
            return videoDeviceInfoMapper.InsertVideoDeviceInfo(videoDeviceInfo);
        };

        @Override
        public int UpdateVideoDeviceInfo(VideoDeviceInfo  videoDeviceInfo)
        {
            return videoDeviceInfoMapper.UpdateVideoDeviceInfo(videoDeviceInfo);
        };

        @Override
        public int DeleteVideoDeviceInfoByIds(Long[] ids)
        {
            return videoDeviceInfoMapper.DeleteVideoDeviceInfoByIds(ids);
        };


}
